#
# spec file for package MozillaFirefox-branding-openSUSE
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2008-2013 Wolfgang Rosenauer
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           MozillaFirefox-branding-openSUSE
BuildRequires:  bc
BuildRequires:  unzip
BuildRequires:  zip
Version:        6.1
Release:        2.2
Summary:        openSUSE branding of MozillaFirefox
License:        BSD-3-Clause and GPL-2.0+
Group:          Productivity/Networking/Web/Browsers
Url:            http://www.opensuse.org/
Source:         susefox-20120626.tar.bz2
Source1:        opensuse-software.xml.in
Source2:        bookmarks.html.suse
Source3:        firefox-suse-default-prefs.js
Source4:        firefox.schemas
Source5:        distribution.ini.in
Source6:        %{name}-COPYING
Source7:        all-openSUSE.js
Source8:        duckduckgo.xml
Supplements:    packageand(MozillaFirefox:branding-openSUSE)
Supplements:    packageand(firefox-esr:branding-openSUSE)
Provides:       MozillaFirefox-branding = %{version}
Provides:       firefox-esr-branding = %{version}
Conflicts:      otherproviders(MozillaFirefox-branding)
Conflicts:      otherproviders(firefox-esr-branding)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define progdir %{_libdir}/firefox
%define libgssapi libgssapi_krb5.so.2
%define suseversion %(echo -e "scale=1\\n%{suse_version}/100" | bc 2>/dev/null)
# HINT: default homepage is a property now included in susefox

%description
This package provides openSUSE Look and Feel for Firefox.

%prep
cp -a %{SOURCE6} COPYING
%setup -n susefox -q
mv COPYING COPYING.susefox

%build
./build.sh

%install
install -d $RPM_BUILD_ROOT%{progdir}
# custom bookmarks
install -d $RPM_BUILD_ROOT%{progdir}/defaults/profile
install -m0644 %{SOURCE2} $RPM_BUILD_ROOT%{progdir}/defaults/profile/bookmarks.html
# apply SUSE defaults
install -d $RPM_BUILD_ROOT%{progdir}/defaults/pref
install -d $RPM_BUILD_ROOT%{progdir}/defaults/preferences
sed -e 's,GSSAPI,%{libgssapi},g' \
   %{SOURCE3} > suse-default-prefs
install -m0644 suse-default-prefs $RPM_BUILD_ROOT%{progdir}/defaults/preferences/firefox-openSUSE.js
rm suse-default-prefs
install -m0644 %{SOURCE7} $RPM_BUILD_ROOT%{progdir}/defaults/pref/
# distribution.ini
install -d $RPM_BUILD_ROOT%{progdir}/distribution
sed -e 's,%VERSION%,%{suseversion},g' \
   %{SOURCE5} > distribution.ini
install -m 0644 distribution.ini $RPM_BUILD_ROOT%{progdir}/distribution/
# search plugins
install -d $RPM_BUILD_ROOT%{progdir}/searchplugins
sed -e 's,%VERSION%,%{suseversion},g' \
  %{SOURCE1} > $RPM_BUILD_ROOT%{progdir}/searchplugins/opensuse-software.xml
cp %{SOURCE8} $RPM_BUILD_ROOT%{progdir}/searchplugins/
# install the system extension
mkdir susefox\@opensuse.org
(cd susefox\@opensuse.org; unzip ../susefox.xpi)
mkdir -p $RPM_BUILD_ROOT%{_datadir}/mozilla/extensions/{ec8030f7-c20a-464f-9b0e-13a3a9e97384}/
cp -r susefox\@opensuse.org \
      $RPM_BUILD_ROOT%{_datadir}/mozilla/extensions/{ec8030f7-c20a-464f-9b0e-13a3a9e97384}/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING.susefox
%doc ../COPYING
%dir %{progdir}
%dir %{progdir}/defaults/
%dir %{progdir}/defaults/pref
%dir %{progdir}/defaults/preferences
%{progdir}/defaults/pref/all-openSUSE.js
%{progdir}/defaults/preferences/firefox-openSUSE.js
%dir %{progdir}/defaults/profile/
%{progdir}/defaults/profile/bookmarks.html
%{progdir}/searchplugins/
%{progdir}/distribution
%{_datadir}/mozilla

%changelog
* Thu Jan 31 2013 wr@rosenauer.org
- added DuckDuckGo as search option (bnc#801121)
* Tue Aug  7 2012 wr@rosenauer.org
- move Firefox specific prefs to defaults/preferences (bnc#774914)
* Tue Jun 26 2012 wr@rosenauer.org
- update susefox to snapshot 20120626
  * add window controls for Gnome 3 (bnc#768942)
* Thu Mar 15 2012 wr@rosenauer.org
- bumped version to 6.0
- support firefox-esr RPM packages
- removed MozillaFirefox build dependency and PreReq
  * everything controlled by Supplements and Requirements from
    base package
* Wed Dec 21 2011 wr@rosenauer.org
- make openSUSE software search version specific (bnc#737709)
* Fri Nov 18 2011 wr@rosenauer.org
- disable addon check completely as scopes are not working
  correctly with Firefox 8
* Fri Nov 11 2011 wr@rosenauer.org
- do not disable global addons on update check
* Tue Nov  8 2011 wr@rosenauer.org
- update susefox to snapshot 20111108 (1.0.2)
  * removed statusbar stuff (fix bnc#707628)
* Thu Oct 20 2011 wr@rosenauer.org
- make susefox compatible up to Firefox 9
- browser.startup.homepage is now a property in susefox as the
  resource:// URI is useless in omnijar setup (bnc#721421)
- no welcome and override startpages
* Wed Sep 14 2011 wr@rosenauer.org
- update susefox
  * marked compatible up to FF7
* Mon Jun 27 2011 ro@suse.de
- add directory to filelist to fix build
* Sat May 21 2011 wr@rosenauer.org
- update susefox
  * marked compatible with FF5
* Fri Apr 15 2011 wr@rosenauer.org
- update to version 5.0
  * supports openSUSE Firefox 5 and higher
    (compatibility with standalone Firefox)
- added all-openSUSE.js (previously in xulrunner)
* Tue Oct 26 2010 wr@rosenauer.org
- update susefox to snapshot 20101026
  * Updated link to openSUSE wiki page
  * Mistake in cs-CZ locale (bnc#637368)
* Mon Aug 30 2010 wr@rosenauer.org
- fixed build for Factory by getting the needed RPM macros
- override browser.startup.homepage reference
* Thu Aug 12 2010 wr@rosenauer.org
- bumped package version to 4.0
- update susefox to snapshot 20100812
  * compatibility with Firefox 4
* Wed Jun  9 2010 wr@rosenauer.org
- update susefox to snapshot 20100609
  * added HU translation
* Fri May 28 2010 javier@opensuse.org
- switch Planet openSUSE's feed to planet.opensuse.org
* Sun Dec  6 2009 wr@rosenauer.org
- update susefox to snapshot 20091206 (1.0.1)
  * compatible with Firefox 3.6
* Wed Nov  4 2009 wr@rosenauer.org
- removed obsolete prefs
* Fri Oct 23 2009 wr@rosenauer.org
- update susefox to snapshot 20091023
  * remove unneeded error dialog (bnc#549496)
* Mon Sep 28 2009 wr@rosenauer.org
- update susefox to snapshot 20090928
  * fixed syntax error in install.rdf which prevented the addon from
    being loaded
* Fri Sep 25 2009 wr@rosenauer.org
- update susefox to snapshot 20090925
  * added pt-BR locale
  * use pluginfinder.opensuse-community.org as official backend
* Sun Sep 13 2009 wr@rosenauer.org
- update susefox to snapshot 20090914
  * offer the homepage link also in en-US locale
* Fri Jul 10 2009 wr@rosenauer.org
- update susefox to snapshot 20090710
  * added link to the new "homepage" of the addon
  * manage content plugins menuitem is always enabled now
  * plugin installer wizard skips the results list correctly
  * fixed a few issues
* Sat Jul  4 2009 wr@rosenauer.org
- update susefox to snapshot 20090703
  * Remove superfluous select field
  * Remove the bug reporting hint for missing upstream descriptions
  * added nl locale from Freek de Kruijf
  * Add it locale as provided by Andrea Turrini
* Tue Jun 30 2009 wr@rosenauer.org
- add distribution.ini (mainly for having a distribution version
  in Firefox prefs e.g. needed for the susefox addon)
- added susefox extension
  * supports custom plugin finder service
  * integrates PFS with YaST
  * allows setting of the default mimetype handler plugin if there
    are more than one installed
* Tue May 19 2009 wr@rosenauer.org
- set accessibility.typeaheadfind.soundURL to "default" (bnc#505289)
  (that uses a wav packaged in toolkit and FF might not be able
  to play it if esd is not functional)
* Mon May  4 2009 wr@rosenauer.org
- bumped version to 3.5 to reflect FF version bump
- updated firefox.schemas
- removed spec support for distributions before 10.3
- removed obsolete prefs
* Mon Dec  8 2008 hfiguiere@suse.de
- Fix a type in firefox-suse-default-prefs.js
* Fri Nov 21 2008 maw@suse.de
- Review and approve changes.
* Fri Nov 14 2008 wr@rosenauer.org
- Make sure that the base package is installed before installing
  the branding packages (needed for gconf schema update)
  (bnc#444682)
* Fri Nov  7 2008 maw@suse.de
- Review and approve changes.
* Tue Nov  4 2008 wr@rosenauer.org
- added the Firefox Gconf schema for system prefs and
  changed the homepage URL to http://www.opensuse.org/ (bnc#441646)
* Mon Oct 20 2008 maw@suse.de
- Review and approve changes.
* Tue Oct  7 2008 wr@rosenauer.org
- bumped version to 3.0.3
- removed browser.link.open_external override; we are opening
  everything in a new tab; that also caused UI misbehaviour
  (bnc#430077, bmo#457092)
- Set browser.identity.ssl_domain.display to 1 (bnc#426263)
* Tue Oct  7 2008 vuntz@novell.com
- Add openSUSE documentation bookmark (fate#305003).
- Also remove the Novell bookmarks and search addons. They will go
  in the SLED branding package.
* Mon Oct  6 2008 sbrabec@suse.cz
- Conflict with other branding providers (FATE#304881).
* Fri Sep 26 2008 vuntz@suse.de
- Add COPYING file (bnc#426320).
* Sun Aug  3 2008 wr@rosenauer.org
- some polishing and minor changes
* Tue Jul 29 2008 vuntz@novell.com
- New package (bnc#390752).
